
Redmine - Patch #3962

Add a maximum nesting option to the {{child_pages}} macro

2009-10-02 21:36 - Oxan -

Status: Closed Start date: 2009-10-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Description

Add a new parameter to the {{child_pages}} macro to control the maximum nesting. It's name is maxnesting and it's an integer. The

defualt is to be fully recursive (unlimited nesting). Giving 0 as maximum nesting results in only direct children, 1 with also their

children, etc.

Patch is based on 0.8.4, but it should be working on trunk also.

Related issues:

Is duplicate of Redmine - Feature #10789: Macros {{child_pages}} with depth p... Closed

History

#1 - 2009-10-02 21:37 - Oxan -

Ah, I've forgotten to escape the macro in the description.

#2 - 2015-03-17 02:18 - Go MAEDA

- Description updated

#3 - 2015-03-17 02:24 - Go MAEDA

- Is duplicate of Feature #10789: Macros {{child_pages}} with depth parameter added

#4 - 2015-03-17 02:29 - Go MAEDA

- Status changed from New to Closed

A option depth that controls recursion depth was added by #10789.

I close this issue.

Files

maxnesting-parameter.patch 2.77 KB 2009-10-02 Oxan -
